Summary: A GUI front-end to gnuplot
Summary(ja): gnuplot の GUI フロントエンド
Name: cueplot
Version: 0.0.3
Release: 1
URL: http://www.sourceforge.jp/projects/cueplot/
Source: %{name}-%{version}-src.tar.gz
License: GPL
Group: Applications/Engineering
Packager: Muneyuki Noguchi <nogu@users.sourceforge.jp>
buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: qt4
Requires: gnuplot >= 4
BuildRequires: qt4-devel

%description
Cueplot is a GUI front-end to gnuplot.

%description -l ja
Cueplot は gnuplot の GUI フロントエンドです。

%prep
%setup -q -n %{name}-%{version}-src
%build
qmake-qt4
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/%{name}
install -m 755 %{name} %{buildroot}/%{_libdir}/%{name}/
lrelease-qt4 %{name}.pro
install -m 644 *.qm %{buildroot}/%{_libdir}/%{name}/
mkdir %{buildroot}/%{_bindir}/
ln -s %{_libdir}/%{name}/%{name} %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/%{_datadir}/applications/
install -m 644 %{name}.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Jul 21 2007 Muneyuki Noguchi <nogu@users.sourceforge.jp>
- change Group from Applications/Graphics to Applications/Engineering

* Fri Jul 20 2007 Muneyuki Noguchi <nogu@users.sourceforge.jp>
- initial RPM build.
